Bug 121767 - use kdelibs mimelnk files instead
Summary: use kdelibs mimelnk files instead
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-27 17:14 UTC by Rex Dieter
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-25 20:51:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2004-04-27 17:14:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040322

Description of problem:
Both kdelibs and openoffice.org can provide the mimelnk files
/usr/share/mimelnk/application/vnd.sun.xml.calc.desktop
/usr/share/mimelnk/application/vnd.sun.xml.draw.desktop
/usr/share/mimelnk/application/vnd.sun.xml.impress.desktop
/usr/share/mimelnk/application/vnd.sun.xml.writer.desktop

At present, FC's/rawhide's openoffice.org rpm owns these.  I would
argue that kdelibs should be the rightful owner of these files:
1.  mimelnk files are used *only* in kde
2.  the kdelibs versions of these files include more translations
3.  the kdelibs versions of these files include hints to help koffice
to import/export openoffice files.
4.  if openoffice.org is not installed, then these mimetypes are
undefined in kde (potentially crippling koffice's ability
import/export openoffice files)


Version-Release number of selected component: 
(versions up to and including)
openoffice.org-1.1.1-4
kdelibs-3.2.2-3

Comment 1 Dan Williams 2004-09-25 20:51:03 UTC
OOo no longer installs KDE mimelink files.  Besides, KDE should be
using the .desktop files to figure out what to do.  But anyway, ball
in KDE packages court now.


Note You need to log in before you can comment on or make changes to this bug.